Fetch usage summaries for a plan and customer

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

planIdstringRequiredformat: "uuid"
The ID of the plan

Query parameters

externalIdstringRequired
The external ID of the customer
limitintegerOptional1-1000Defaults to 100

Maximum number of usage summaries to return (1-1000)

offsetintegerOptional>=0Defaults to 0
Number of usage summaries to skip for pagination
startTimedatetimeOptional

Filter usage summaries starting from this time (ISO 8601 format). Returns summaries that overlap with the time range.

endTimedatetimeOptional

Filter usage summaries up to this time (ISO 8601 format). Returns summaries that overlap with the time range.

Response

Success response
datalist of objects
paginationobject
Pagination metadata for usage summaries

Errors